CREATE TABLE hwp_whatif_pred_details (
    SEQ_NO                         NUMBER(18, 0) ,
    PERSON_ID                      NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                  NUMBER(18, 0)     NOT NULL,
    CURRENT_PREDICTED_ATTRITION    VARCHAR2(4000),
    CURRENT_PREDICTED_PERF         VARCHAR2(4000),
    NEW_PREDICTED_ATTRITION        VARCHAR2(4000),
    NEW_PREDICTED_PERF             VARCHAR2(4000),
    ALLOCATED_CHECKLIST_ID         NUMBER(18, 0) ,
    LOGGEDIN_MANAGER_ID            NUMBER(18, 0)     NOT NULL,
    ANALYSIS_NAME                  VARCHAR2(800)     NOT NULL,
    ANALYSIS_DESC                  VARCHAR2(4000),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ENTERPRISE_ID                  NUMBER(18, 0)     NOT NULL,
    SEQ_NO                         NUMBER(18, 0) ,
    PERSON_ID                      NUMBER(18, 0)     NOT NULL,
    ASSIGNMENT_ID                  NUMBER(18, 0)     NOT NULL,
    CURRENT_PREDICTED_ATTRITION    VARCHAR2(4000),
    CURRENT_PREDICTED_PERF         VARCHAR2(4000),
    NEW_PREDICTED_ATTRITION        VARCHAR2(4000),
    NEW_PREDICTED_PERF             VARCHAR2(4000),
    ALLOCATED_CHECKLIST_ID         NUMBER(18, 0) ,
    LOGGEDIN_MANAGER_ID            NUMBER(18, 0)     NOT NULL,
    ANALYSIS_NAME                  VARCHAR2(800)     NOT NULL,
    ANALYSIS_DESC                  VARCHAR2(4000),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ENTERPRISE_ID                  NUMBER(18, 0)     NOT NULL,
    CONSTRAINT pk_hwp_whatif_pred_details PRIMARY KEY (SEQ_NO, SEQ_NO)
);
